Bug 486524 - maximum username length is too short for vsftpd user in RHEL5
maximum username length is too short for vsftpd user in RHEL5
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: vsftpd (Show other bugs)
5.3
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Jiri Skala
BaseOS QE
: ZStream
Depends On:
Blocks: 496846
  Show dependency treegraph
 
Reported: 2009-02-20 00:33 EST by Masahiro Okubo
Modified: 2014-11-09 17:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to increase the maximum number of characters allowd in username of vsftp (381 bytes, patch)
2009-02-20 00:37 EST, Masahiro Okubo
no flags Details | Diff

  None (edit)
Description Masahiro Okubo 2009-02-20 00:33:26 EST
* Description of problem:

The maximum username length is currently hard-coded to 32 in the latest version
of vsftpd package(vsftpd-2.0.5-12.el5) in RHEL5. This is too short for some
vsftpd users.

In vsftpd package of RHEL4, the maximum username length has been increased to
128 in the following BZ and Errata.

BZ:
https://bugzilla.redhat.com/show_bug.cgi?id=236326

Errata:
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=7430

Therefore, this is considered to be a regression. So please include the same
change in the future version of vsftpd package in RHEL5.

* How reproducible:

Always.

* Steps to Reproduce:

Login to vsftpd with username of more than 32 characters

* Actual results:

Login fails with "530 Login incorrect" message as follows.

* Expected results:

Login succeeds with the username of more than 32 characters
Comment 1 Masahiro Okubo 2009-02-20 00:37:00 EST
Created attachment 332672 [details]
patch to increase the maximum number of characters allowd in username of vsftp

Basically the same patch as the one for vsftpd in RHEL4(BZ:236326)
Comment 2 Masahiro Okubo 2009-02-20 00:47:50 EST
Hi,

I've tested the patch and verified that the problem has been solved with that.

* vsftpd-2.0.5-12.el5 without the patch
[root@test1 ~]# ftp test11 <= test11 is vsftpd server with ldap authentication
Connected to test11.example.com.
220 (vsFTPd 2.0.5)
530 Please login with USER and PASS.
530 Please login with USER and PASS.
KERBEROS_V4 rejected as an authentication type
Name (test11:root): ldap1ldap1ldap1ldap1ldap1ldap1ldap1 <= 35 characters long username
331 Please specify the password.
Password:
530 Login incorrect.
Login failed.


* vsftpd-2.0.5-12.el5 with the patch
[root@test1 ~]# ftp test11  <= test11 is vsftpd server with ldap authentication
Connected to test11.example.com.
220 (vsFTPd 2.0.5)
530 Please login with USER and PASS.
530 Please login with USER and PASS.
KERBEROS_V4 rejected as an authentication type
Name (test11:root): ldap1ldap1ldap1ldap1ldap1ldap1ldap1 <= 25 characters long username
331 Please specify the password.
Password: 
230 Login successful. 

Thanks,

Masahiro
Comment 17 errata-xmlrpc 2009-09-02 05:39:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1282.html

Note You need to log in before you can comment on or make changes to this bug.